The vty-ui package

[Tags: bsd3, deprecated, library]

Deprecated in favor of brick

An extensible library of user interface widgets for composing and laying out Vty user interfaces. This library provides a collection of widgets for building and composing interactive interactive, event-driven terminal interfaces. This library is intended to make non-trivial user interfaces easy to express and modify without having to worry about terminal size.

Properties

Versions0.1, 0.2, 0.3, 0.4, 1.0, 1.0.1, 1.1, 1.2, 1.3, 1.3.1, 1.4, 1.5, 1.5.1, 1.6, 1.6.1, 1.7, 1.7.1, 1.8, 1.9
Change logNone available
Dependenciesbase (==4.*), bytestring (>=0.9 && <1.0), containers (>=0.2 && <0.4), directory (==1.0.*), filepath (==1.1.*), mtl (==2.0.*), old-locale (==1.0.*), pcre-light (==0.3.*), QuickCheck (==2.4.*), time (==1.1.*), unix (==2.4.*), vty (==4.6.*) [details]
LicenseBSD3
AuthorJonathan Daugherty <jtd@galois.com>
MaintainerJonathan Daugherty <jtd@galois.com>
CategoryUser Interfaces
Home pagehttp://codevine.org/vty-ui/
Executablesvty-ui-dialog-demo, vty-ui-phoneinput-demo, vty-ui-dirbrowser-demo, vty-ui-complex-demo, vty-ui-list-demo, vty-ui-tests
UploadedSun Mar 13 21:14:19 UTC 2011 by JonathanDaugherty
DistributionsNixOS:1.9
Downloads3563 total (129 in last 30 days)
Votes
0 []
StatusDocs uploaded by user
Build status unknown [no reports yet]

Modules

[Index]

Flags

NameDescriptionDefaultType
testingBuild for testingDisabledAutomatic
demosBuild demonstration programsDisabledAutomatic

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainers' corner

For package maintainers and hackage trustees